PAPI_hl_stop(3)

NAME
PAPI_hl_stop - Stop a running high-level event set.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_hl_stop();

Return values
    PAPI_ENOEVNT -- The EventSet is not started yet.
    PAPI_ENOMEM -- Insufficient memory to complete the operation.

PAPI_hl_stop stops a running high-level event set.

This call is optional and only necessary if the programmer wants to use the low-level API in addition to the high-level API. It should be noted that PAPI_hl_stop and low-level calls are not allowed inside of a marked region. Furthermore, PAPI_hl_stop is thread-local and therefore has to be called in the same thread as the corresponding marked region.

See also
    PAPI_hl_region_begin

    PAPI_hl_read

    PAPI_hl_region_end

Author

Generated automatically by Doxygen for PAPI from the source code.